Package org.drinkless.tdlib

# Class TdApi.AffiliateProgramParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AffiliateProgramParameters

Enclosing class:
  `TdApi`

public static class TdApi.AffiliateProgramParameters extends TdApi.Object
Describes parameters of an affiliate program.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `commissionPerMille`
  The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner; getOption("affiliate_program_commission_per_mille_min")-getOption("affiliate_program_commission_per_mille_max").
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `monthCount`
  Number of months the program will be active; 0-36.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AffiliateProgramParameters()`
  Describes parameters of an affiliate program.
  `AffiliateProgramParameters(int commissionPerMille, int monthCount)`
  Describes parameters of an affiliate program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### commissionPerMille

    public int commissionPerMille
    The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner; getOption("affiliate_program_commission_per_mille_min")-getOption("affiliate_program_commission_per_mille_max").

  - ### monthCount

    public int monthCount
    Number of months the program will be active; 0-36. If 0, then the program is eternal.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AffiliateProgramParameters

    public AffiliateProgramParameters()
    Describes parameters of an affiliate program.

  - ### AffiliateProgramParameters

    public AffiliateProgramParameters(int commissionPerMille, int monthCount)
    Describes parameters of an affiliate program.
    Parameters:
      `commissionPerMille` - The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner; getOption("affiliate_program_commission_per_mille_min")-getOption("affiliate_program_commission_per_mille_max").
      `monthCount` - Number of months the program will be active; 0-36. If 0, then the program is eternal.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR